resource "nomad_job" "renovate" {
  jobspec = file("renovate.nomad.hcl")
}

resource "nomad_variable" "renovate" {
  path = "nomad/jobs/renovate"
  items = {
    gitea_token  = data.sops_file.secrets.data["renovate.gitea_token"]
    github_token = data.sops_file.secrets.data["renovate.github_token"]
  }
}
